Ubuntu

nvidia-current 270.30 claims 8600M GT is not supported

Reported by Arpad Borsos on 2011-04-12
This bug report is a duplicate of:  Bug #661248: PCI Race Condition with COMPAL FL90. Edit Remove
42
This bug affects 9 people
Affects Status Importance Assigned to Milestone
nvidia-graphics-drivers (Ubuntu)
Medium
Unassigned

Bug Description

Upgraded from a clean Lucid installation through Maverick to Natty.
Using cryptsetup.
(Also tested using a fresh install not using cryptsetup, same problem)
After installing nvidia-current using jockey, the cryptsetup prompt on bootup is totally black with a blinking underscore on the top left, so I have to type in the cryptsetup passwort blind, bootup however works fine.
After boot, the nvidia drivers are not used, dmesg suggests that the graphics card (8600M GT) is not supported while in fact it should be. It worked fine with Maverick.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: nvidia-current 270.30-0ubuntu3
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic i686
Architecture: i386
CompizPlugins: [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,imgpng,gnomecompat,wall,ezoom,workarounds,staticswitcher,resize,fade,unitymtgrabhandles,scale,session,unityshell]
CompositorRunning: None
Date: Tue Apr 12 13:18:43 2011
DistUpgraded: Log time: 2011-04-09 18:10:47.778634
DistroCodename: natty
DistroVariant: ubuntu
DkmsStatus: nvidia-current, 270.30, 2.6.38-8-generic, i686: installed
GraphicsCard:
 nVidia Corporation G84 [GeForce 8600M GT] [10de:0407] (rev a1) (prog-if 00 [VGA controller])
   Subsystem: Acer Incorporated [ALI] Device [1025:0121]
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100427.1)
MachineType: Acer, inc. Aspire 5920G
ProcEnviron:
 LANGUAGE=de_DE:en
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-2.6.38-8-generic root=/dev/mapper/sda3_crypt ro quiet splash vt.handoff=7
Renderer: Unknown
SourcePackage: nvidia-graphics-drivers
UnitySupportTest:
 Error: command ['/usr/lib/nux/unity_support_test', '-p'] failed with exit code 1: Xlib: extension "GLX" missing on display ":0.0".
 Xlib: extension "GLX" missing on display ":0.0".
 Xlib: extension "GLX" missing on display ":0.0".
 Error: unable to create the OpenGL context
UpgradeStatus: Upgraded to natty on 2011-04-09 (2 days ago)
XorgConf:
 Section "Device"
  Identifier "Default Device"
  Option "NoLogo" "True"
 EndSection
dmi.bios.date: 03/14/2008
dmi.bios.vendor: Acer
dmi.bios.version: v1.3811
dmi.board.name: Chapala
dmi.board.vendor: Acer, Inc.
dmi.board.version: Not Applicable
dmi.chassis.type: 1
dmi.chassis.vendor: Acer, Inc.
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnAcer:bvrv1.3811:bd03/14/2008:svnAcer,inc.:pnAspire5920G:pvrNotApplicable:rvnAcer,Inc.:rnChapala:rvrNotApplicable:cvnAcer,Inc.:ct1:cvrN/A:
dmi.product.name: Aspire 5920G
dmi.product.version: Not Applicable
dmi.sys.vendor: Acer, inc.
version.compiz: compiz 1:0.9.4+bzr20110411-0ubuntu1
version.libdrm2: libdrm2 2.4.23-1ubuntu6
version.libgl1-mesa-dri: libgl1-mesa-dri 7.10.2-0ubuntu1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.2-0ubuntu1
version.xserver-xorg: xserver-xorg 1:7.6+4ubuntu3
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.0-0ubuntu4
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.14.0-4ubuntu7
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110107+b795ca6e-0ubuntu7

Arpad Borsos (swatinem) wrote :
Bryce Harrington (bryce) wrote :

[ 35.260297] NVRM: The NVIDIA GPU 0000:01:00.0 (PCI ID: 10de:0407) installed
[ 35.260298] NVRM: in this system is not supported by the 270.30 NVIDIA Linux
[ 35.260300] NVRM: graphics driver release. Please see 'Appendix A -
[ 35.260301] NVRM: Supported NVIDIA GPU Products' in this release's README,
[ 35.260302] NVRM: available on the Linux graphics driver download page at
[ 35.260303] NVRM: www.nvidia.com.

01:00.0 VGA compatible controller [0300]: nVidia Corporation G84 [GeForce 8600M GT] [10de:0407] (rev a1) (prog-if 00 [VGA controller])
 Subsystem: Acer Incorporated [ALI] Device [1025:0121]

http://www.nvidia.com/object/linux-display-ia32-270.18-driver.html
  GeForce 8M series:
  8800M GTX, 8400M GS, 8200M G, 8600M GT, 8400M G, 8600M GS, 8400M GT, 8800M GTS, 8700M GT

http://us.download.nvidia.com/XFree86/Linux-x86/270.18/README/supportedchips.html
  GeForce 8600M GT 0x0407 A

Doublechecked Appendix A in the 270.30 README, and it also lists the chip. Changelog in the package doesn't show any chips being deprecated recently. So something's fishy.

Bryce Harrington (bryce) wrote :

@Alberto, this may be worth showing to NVIDIA, unless you know why the kernel module would be failing to recognize this hardware as supported.

@Arpad, please install xdiagnose, and test if disabling the VESA framebuffer driver (and rebooting) makes any difference. (I'm guessing it won't, but it's my only hunch so far.)

Changed in nvidia-graphics-drivers (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
assignee: Alberto Milone (albertomilone) → nobody
importance: Undecided → Medium
status: New → Triaged
status: Triaged → Incomplete
Arpad Borsos (swatinem) wrote :

Updated to 270.41.03 from the X Updates PPA, it still results in the same problem. Disabling vesafb also made no difference.
I’ve done some research myself and found this thread in the nv forums:
http://www.nvnews.net/vbulletin/showthread.php?t=134271
It suggests the pci addresses are somehow messed up. The suggested fix (# setpci -s 01:00.0 BASE_ADDRESS_0=0xf2000000) makes me able to modprobe nvidia-current, but restarting gdm leaves me with no graphics at all (I was able to navigate the console and reboot blindly)

These ubuntu bugs may be related:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers/+bug/661248
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/661394

It was working perfectly for me with maverick (x64) (+ all updates) and broke with natty (I moved to x86 this time).

Alex Bell (ubuntu-upb) wrote :

This bug affects me to. I have PC at work and notebook at home. I use 11.04 at work and try to report every bug that I see, but at home I have to use 10.04 because of this driver. It's killing me, there are a lot of changes since 10.04 that I like but couldn't use at home.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers